## plasma-workspace 5.18.5-0ubuntu0.1+10.0trisquel1

=== debian/changelog ===
plasma-workspace (4:5.18.5-0ubuntu0.1+10.0trisquel1) nabia; urgency=medium

  * Smaller clock size on panel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 27 Oct 2021 00:36:32 +0000
