=== debian/changelog ===
plasma-workspace (4:5.18.8-0ubuntu0.2) focal-security; urgency=medium

  * SECURITY UPDATE: ksmserver: Unauthorized users can access session manager
    (LP: #2067742)
    - debian/patches/CVE-2024-36041.patch: do not allow local connections
      without proper authentication.
    - CVE-2024-36041

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 17 Jun 2024 17:30:31 -0500

plasma-workspace (4:5.18.8-0ubuntu0.1) focal; urgency=medium

  * New upstream bugfix release (5.18.8) (LP: #1938894)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Jan 2022 07:40:43 +0000
