## plasma-workspace 5.18.8-0ubuntu0.1%2B10.0trisquel2

=== debian/changelog ===
plasma-workspace (4:5.18.8-0ubuntu0.1+10.0trisquel2) nabia; urgency=medium

  * Customized for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 10 Feb 2022 00:37:40 +0000
