## plasma-workspace 5.18.8-0ubuntu0.2%2B10.0trisquel2

=== debian/changelog ===
plasma-workspace (4:5.18.8-0ubuntu0.2+10.0trisquel2) nabia-security; urgency=medium

  * Customized for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 26 Jun 2024 16:43:29 +0000
