## plasma-workspace 5.19.5

=== debian/changelog ===
plasma-workspace (4:5.19.5-0ubuntu2) groovy; urgency=medium

  * Add patch requested by KDE devs:
    + debian/patches: upstream_fix-login-button-size.patch

 -- Rik Mills <rikmills@kde.org>  Wed, 16 Sep 2020 10:10:04 +0100

plasma-workspace (4:5.19.5-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update lintian overrides

  [ Rik Mills ]
  * New upstream release (5.19.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Sep 2020 12:55:08 +0100

plasma-workspace (4:5.19.4-0ubuntu2) groovy; urgency=medium

  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Aug 2020 18:46:52 +0100

plasma-workspace (4:5.19.4-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jul 2020 20:43:37 +0100

plasma-workspace (4:5.19.3-0ubuntu2) groovy; urgency=medium

  * No-change rebuild against libqalculate21.

 -- Rik Mills <rikmills@kde.org>  Sat, 18 Jul 2020 08:13:55 +0100

plasma-workspace (4:5.19.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Jul 2020 14:00:57 +0100

plasma-workspace (4:5.19.2-0ubuntu1) groovy; urgency=medium

  * Update install files.
  * Update symbols.
  * New upstream release (5.19.0)
  * Update lintian overrides.
  * New upstream release (5.19.1)
  * New upstream release (5.19.2)
  * Add upstream_fix-kde-bug-422684.patch

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Jun 2020 13:46:57 +0100

plasma-workspace (4:5.18.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.18.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 05 May 2020 23:41:57 +0100
