=== debian/control ===
--- 
+++ 
@@ -1,57 +1,56 @@
 Source: plasma-workspace
 Section: kde
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: baloo-kf5-dev (>= 5.66.0~),
+Build-Depends: baloo-kf5-dev (>= 5.70.0~),
                cmake (>= 3.0~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.66.0~),
-               kded5-dev (>= 5.66.0~),
-               kgendesignerplugin (>= 5.66.0~),
-               kinit-dev (>= 5.66.0~),
-               kquickcharts-dev (>= 5.66.0~),
-               kscreenlocker-dev (>= 5.18.4~),
-               kwin-dev (>= 4:5.18.7~),
+               extra-cmake-modules (>= 5.70.0~),
+               kded5-dev (>= 5.70.0~),
+               kgendesignerplugin (>= 5.70.0~),
+               kinit-dev (>= 5.70.0~),
+               kquickcharts-dev (>= 5.70.0~),
+               kscreenlocker-dev (>= 5.19.5~),
+               kwin-dev (>= 4:5.19.5~),
                libappstreamqt-dev (>= 0.10.4~) [linux-any],
                libboost-dev,
                libdbusmenu-qt5-dev,
                libgps-dev,
-               libkf5activities-dev (>= 5.66.0~),
-               libkf5activitiesstats-dev (>= 5.66.0~),
-               libkf5config-dev (>= 5.66.0~),
-               libkf5coreaddons-dev (>= 5.66.0~),
-               libkf5crash-dev (>= 5.66.0~),
-               libkf5dbusaddons-dev (>= 5.66.0~),
-               libkf5declarative-dev (>= 5.66.0~),
-               libkf5doctools-dev (>= 5.66.0~),
-               libkf5globalaccel-dev (>= 5.66.0~),
-               libkf5holidays-dev (>= 1:5.66.0~),
-               libkf5i18n-dev (>= 5.66.0~),
-               libkf5idletime-dev (>= 5.66.0~),
-               libkf5itemmodels-dev (>= 5.66.0~),
-               libkf5kcmutils-dev (>= 5.66.0~),
-               libkf5kdelibs4support-dev (>= 5.66.0~),
-               libkf5kio-dev (>= 5.66.0~),
-               libkf5networkmanagerqt-dev (>= 5.66.0~),
-               libkf5newstuff-dev (>= 5.66.0~),
-               libkf5notifyconfig-dev (>= 5.66.0~),
-               libkf5package-dev (>= 5.66.0~),
-               libkf5people-dev (>= 5.66.0~),
-               libkf5plasma-dev (>= 5.66.0~),
-               libkf5prison-dev (>= 5.66.0~),
-               libkf5runner-dev (>= 5.66.0~),
-               libkf5screen-dev (>= 4:5.18.4~),
-               libkf5solid-dev (>= 5.66.0~),
-               libkf5su-dev (>= 5.66.0~),
-               libkf5sysguard-dev (>= 4:5.18.4~),
-               libkf5texteditor-dev (>= 5.66.0~),
-               libkf5textwidgets-dev (>= 5.66.0~),
-               libkf5wallet-dev (>= 5.66.0~),
-               libkf5wayland-dev (>= 4:5.66.0~),
-               libkf5webkit-dev (>= 5.66.0~),
-               libkf5xmlrpcclient-dev (>= 5.66.0~),
+               libkf5activities-dev (>= 5.70.0~),
+               libkf5activitiesstats-dev (>= 5.70.0~),
+               libkf5config-dev (>= 5.70.0~),
+               libkf5coreaddons-dev (>= 5.70.0~),
+               libkf5crash-dev (>= 5.70.0~),
+               libkf5dbusaddons-dev (>= 5.70.0~),
+               libkf5declarative-dev (>= 5.70.0~),
+               libkf5doctools-dev (>= 5.70.0~),
+               libkf5globalaccel-dev (>= 5.70.0~),
+               libkf5holidays-dev (>= 1:5.70.0~),
+               libkf5i18n-dev (>= 5.70.0~),
+               libkf5idletime-dev (>= 5.70.0~),
+               libkf5itemmodels-dev (>= 5.70.0~),
+               libkf5kcmutils-dev (>= 5.70.0~),
+               libkf5kdelibs4support-dev (>= 5.70.0~),
+               libkf5kio-dev (>= 5.70.0~),
+               libkf5networkmanagerqt-dev (>= 5.70.0~),
+               libkf5newstuff-dev (>= 5.70.0~),
+               libkf5notifyconfig-dev (>= 5.70.0~),
+               libkf5package-dev (>= 5.70.0~),
+               libkf5people-dev (>= 5.70.0~),
+               libkf5plasma-dev (>= 5.70.0~),
+               libkf5prison-dev (>= 5.70.0~),
+               libkf5runner-dev (>= 5.70.0~),
+               libkf5screen-dev (>= 4:5.19.5~),
+               libkf5solid-dev (>= 5.70.0~),
+               libkf5su-dev (>= 5.70.0~),
+               libkf5sysguard-dev (>= 4:5.19.5~),
+               libkf5texteditor-dev (>= 5.70.0~),
+               libkf5textwidgets-dev (>= 5.70.0~),
+               libkf5wallet-dev (>= 5.70.0~),
+               libkf5wayland-dev (>= 4:5.70.0~),
+               libkf5webkit-dev (>= 5.70.0~),
+               libkf5xmlrpcclient-dev (>= 5.70.0~),
                libnm-dev,
                libpam0g-dev,
                libphonon4qt5-dev (>= 4:4.8.0-5),
@@ -171,23 +170,23 @@
 Package: plasma-workspace
 Architecture: any
 Depends: default-dbus-session-bus | dbus-session-bus,
-         drkonqi (>= 5.18.0),
+         drkonqi (>= 5.19.0~),
          frameworkintegration,
          gdb-minimal | gdb,
          iso-codes,
-         kactivitymanagerd (>= 5.18.0),
+         kactivitymanagerd (>= 5.19.0~),
          kded5,
          kinit,
          kio,
-         kwin-common (>= 4:5.18.0),
+         kwin-common (>= 4:5.19.0~),
          libappstreamqt2,
          libkf5config-bin,
          libkf5globalaccel-bin (>= 5.7.0),
          libkf5plasma5 (>= 5.45.0~),
          libkf5service-bin,
-         milou (>= 4:5.18.0),
+         milou (>= 4:5.19.0~),
          plasma-framework (>= 5.54.0~),
-         plasma-integration (>= 5.18.0),
+         plasma-integration (>= 5.19.0~),
          qdbus-qt5,
          qml-module-org-kde-activities,
          qml-module-org-kde-draganddrop,
@@ -197,6 +196,7 @@
          qml-module-org-kde-kirigami2 (>= 5.54.0~),
          qml-module-org-kde-kquickcontrols,
          qml-module-org-kde-kquickcontrolsaddons,
+         qml-module-org-kde-ksysguard,
          qml-module-org-kde-kwindowsystem,
          qml-module-org-kde-newstuff,
          qml-module-org-kde-quickcharts,
@@ -215,11 +215,11 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: appmenu-gtk3-module,
-            kde-cli-tools (>= 4:5.18.0),
+            kde-cli-tools (>= 4:5.19.0~),
             kio-extras,
-            ksysguardd (>= 4:5.18.0),
-            libpam-kwallet5 (>= 5.18.0),
-            powerdevil (>= 4:5.18.0),
+            ksysguardd (>= 4:5.19.0~),
+            libpam-kwallet5 (>= 5.19.0~),
+            powerdevil (>= 4:5.19.0~),
             qml-module-org-kde-qqc2desktopstyle,
 Breaks: kde-window-manager (<= 4:5),
         kio-extras (<< 4:5.3.2+git20150710.0210),
@@ -248,11 +248,11 @@
 
 Package: plasma-workspace-dev
 Architecture: any
-Depends: kwin-common (>= 4:5.18.0),
-         libkf5itemmodels-dev (>= 5.66.0~),
-         libkf5plasma-dev (>= 5.66.0~),
-         libkf5sysguard-dev (>= 4:5.18.4~),
-         libkf5windowsystem-dev (>= 5.66.0~),
+Depends: kwin-common (>= 4:5.19.0~),
+         libkf5itemmodels-dev (>= 5.70.0~),
+         libkf5plasma-dev (>= 5.70.0~),
+         libkf5sysguard-dev (>= 4:5.19.5~),
+         libkf5windowsystem-dev (>= 5.70.0~),
          plasma-workspace (= ${binary:Version}),
          qtbase5-dev (>= 5.9.0~),
          qtdeclarative5-dev (>= 5.9.0~),
@@ -270,8 +270,8 @@
 
 Package: plasma-workspace-wayland
 Architecture: any
-Depends: kwayland-integration (>= 5.18.0),
-         kwin-wayland (>= 4:5.18.0),
+Depends: kwayland-integration (>= 5.19.0~),
+         kwin-wayland (>= 4:5.19.0~),
          plasma-workspace (= ${binary:Version}),
          qtwayland5,
          ${misc:Depends},
